NAND_CORRECT_DATA(9)

NAME
nand_correct_data - [NAND Interface] Detect and correct bit error(s)

SYNOPSIS

int nand_correct_data(struct mtd_info * mtd, unsigned char * buf, unsigned char * read_ecc, unsigned char * calc_ecc);

ARGUMENTS

mtd
    MTD block structure

buf
    raw data read from the chip

read_ecc
    ECC from the chip

calc_ecc
    the ECC calculated from raw data

DESCRIPTION

Detect and correct a 1 bit error for 256/512 byte block

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT